\name{gui.readline}
\alias{gui.readline}
\title{cross-platform user input interface}
\usage{
  gui.readline(message, default = "", graphics = TRUE)
}
\arguments{
  \item{message}{message asked to the user}

  \item{default}{default value}

  \item{graphics}{whether to present a graphics interface
  (if possible)}
}
\value{
  character string of what the user typed.
}
\description{
  This is a cross-platform function to allow the user to
  type some input interactively.
}
\details{
  If \code{graphics=TRUE}, \code{winDialogString} is used
  on Windows, and \code{\link{tk_entry.dialog}} otherwise
  (& if supported), and an interactive text interface
  (\code{readline}) if all else fails.
}
\seealso{
  Other ui: \code{\link{dir.browse}},
  \code{\link{file.browse}}, \code{\link{Filters}},
  \code{\link{gui.dir.choose}},
  \code{\link{gui.file.choose}}, \code{\link{gui.menu}},
  \code{\link{gui.yesno}}, \code{\link{tk_entry.dialog}},
  \code{\link{tk_select.list}}
}

